Name:		xvidcap
Summary:	Screen capture video recorder
Version:	1.1.7
Release:	%mkrel 13
Source:		http://downloads.sourceforge.net/xvidcap/%{name}-%{version}.tar.gz
Patch0:		xvidcap-1.1.5-mdv-docbook.patch
Patch1:		xvidcap-1.1.7-mdv-fix-headers.patch
Patch2:		xvidcap-1.1.5-mdv-nawk.patch
Patch3:		xvidcap-1.1.7-mdv-desktop-entry.patch
Patch4:		xvidcap-1.1.7-mdv-ffmpeg-options.patch
Patch5:		xvidcap-1.1.7-mga-glib-disable_single_includes.patch
Patch6:		xvidcap-1.1.7-mga-undefined-references.patch
Patch7:		xvidcap-1.1.7-mga-external_ffmpeg.patch
Patch8:		xvidcap-1.1.7-mga-ffmpeg0.11.patch
Patch9:		xvidcap-1.1.7-automake-1.13.patch
URL:		http://xvidcap.sourceforge.net/
License:	GPLv2+
Group:		Video/Editors and Converters
BuildRequires:	gnome-doc-utils
BuildRequires:	docbook-utils
BuildRequires:	xmlto
BuildRequires:	gtk2-devel
BuildRequires:	pkgconfig(libjpeg)
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(libglade-2.0)
BuildRequires:	pkgconfig(theora)
BuildRequires:	pkgconfig(xmu)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	scrollkeeper
BuildRequires:	intltool
BuildRequires:  libffmpeg-devel
Requires:	mplayer
Requires:	mencoder
Requires:	ffmpeg
Requires:	imagemagick

%description
xvidcap is a screen capture enabling you to capture videos off your X-Window
desktop for illustration or documentation purposes. It is intended to be a
standards-based alternative to tools like Lotus ScreenCam.

%prep
%setup -q
%patch0 -p0 -b .docbook
%patch1 -p1
%patch2 -p0 -b .fixawk
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
#patch8 -p0
%patch9 -p0

# don't use bot intltool and gettext
sed -i -e '/INTLTOOL/d' configure.in

%build
# fix build on aarch64
autoreconf -vfi

%configure --enable-libtheora --without-forced-embedded-ffmpeg
%make_build

%install
%make_install

chmod 755 %{buildroot}%{_datadir}/%{name}/ppm2mpeg.sh
ln -s %{_datadir}/%{name}/ppm2mpeg.sh %{buildroot}%{_bindir}/ppm2mpeg.sh

rm -fr %{buildroot}/%{_docdir}

%find_lang %{name} --with-gnome

%files -f %{name}.lang
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/%{name}
%{_bindir}/xvidcap-dbus-client
%{_bindir}/ppm2mpeg.sh
%_datadir/dbus-1/services/net.jarre_de_the.Xvidcap.service
%{_mandir}/man1/*
%lang(de) %{_mandir}/de/man1/*
%lang(es) %{_mandir}/es/man1/*
%lang(it) %{_mandir}/it/man1/*
%{_datadir}/applications/xvidcap.desktop
%{_datadir}/%{name}/
%{_datadir}/pixmaps/%{name}.png




%changelog
* Fri Feb 14 2020 umeabot <umeabot> 1.1.7-13.mga8
+ Revision: 1519023
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Sun Sep 23 2018 umeabot <umeabot> 1.1.7-12.mga7
+ Revision: 1301993
- Mageia 7 Mass Rebuild

* Thu Aug 02 2018 wally <wally> 1.1.7-11.mga7
+ Revision: 1246948
- fix build on aarch64

* Tue May 02 2017 akien <akien> 1.1.7-10.mga6
+ Revision: 1098331
- Rebuild for ffmpeg 3.3

* Thu Feb 04 2016 umeabot <umeabot> 1.1.7-9.mga6
+ Revision: 935724
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.7-8.mga5
+ Revision: 750438
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.7-7.mga5
+ Revision: 690799
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.7-6.mga4
+ Revision: 529671
- Mageia 4 Mass Rebuild

* Tue Jan 22 2013 fwang <fwang> 1.1.7-5.mga4
+ Revision: 391117
- do not use recent ffmpeg
- fix build with latest automake
- detect newer ffmpeg symbol
+ umeabot <umeabot>
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild
+ malo <malo>
- update RPM group

* Thu May 31 2012 fwang <fwang> 1.1.7-3.mga3
+ Revision: 252013
- drop old ldflags swtich

* Wed Feb 08 2012 tavvva <tavvva> 1.1.7-2.mga3
+ Revision: 206243
- patched to use external ffmpeg

* Sat Jan 28 2012 tavvva <tavvva> 1.1.7-1.mga2
+ Revision: 202572
- imported package xvidcap


* Sun Jul 12 2009 Anssi Hannula <anssi@mandriva.org> 1.1.7-2mdv2010.0
+ Revision: 394917
- revert previous commit that removed call to configure
- fix build of internal ffmpeg with libtheora (ffmpeg-options.patch)
- disable --as-needed and --no-undefined for now due to problems with
  internal ffmpeg

  + Caio Begotti <caio1982@mandriva.org>
    - missing part from the last commit
    - fixing build with other video formats support, other than x11 window dump at least, let upstream autogen.sh to do its own magic

* Mon Oct 27 2008 Götz Waschk <waschk@mandriva.org> 1.1.7-1mdv2009.1
+ Revision: 297538
- new version
- fix build
- fix desktop entry
- update file list
- fix build again
- add build option for additional codecs
- fix build deps
- update license
- fix build

* Mon Aug 04 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-4mdv2009.0
+ Revision: 262741
- rebuild

* Thu Jul 31 2008 Thierry Vignaud <tvignaud@mandriva.com> 1.1.6-3mdv2009.0
+ Revision: 257850
- rebuild

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1.1.6-1mdv2008.1
+ Revision: 136624
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Fri Jun 01 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.6-1mdv2008.0
+ Revision: 34175
- new version
- drop P3 (merged upstream)

* Mon Apr 30 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 1.1.5-1mdv2008.0
+ Revision: 19355
- own missing files
- new version
- drop P1
- regenerate P0 and P2
- provide P3
- some cleans


* Thu Feb 15 2007 Götz Waschk <waschk@mandriva.org> 1.1.4-3mdv2007.0
+ Revision: 121482
- really fix permissions
- fix automake call
- fix ffmpeg build
- use docbook2x for help generation
- use awk instead of nawk
- fix call to ppm2mpeg helper script

* Mon Nov 06 2006 Götz Waschk <waschk@mandriva.org> 1.1.4-2mdv2007.0
+ Revision: 77045
- depend on mplayer

* Mon Oct 30 2006 Götz Waschk <waschk@mandriva.org> 1.1.4-1mdv2007.1
+ Revision: 73702
- new version
- fix buildrequires
- fix menu entry
- handle scrollkeeper registration

  + plouf <plouf>
    - 1.1.4RC2 fix s/gvidcap/xvidcap in menu
    - Import xvidcap

